Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3989 - /bin/mail has bad location of vi command
Summary: /bin/mail has bad location of vi command
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mailx
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-11 20:35 UTC by Jim Speth
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-13 14:03:32 UTC


Attachments (Terms of Use)

Description Jim Speth 1999-07-11 20:35:38 UTC
if you run /bin/mail and issue a ~v from within edit mode
it gives the following errors:

  /usr/bin/vi: No such file or directory
  Fatal error in process.

This is because vi is at /bin/vi.

Comment 1 Jay Turner 1999-07-12 16:07:59 UTC
/usr/bin/vi is actually a link to vim on a 6.0 system, so this is why
the path is set like that.  You can change VISUAL parameter to specify
a different path for the editor.

Comment 2 Jim Speth 1999-07-12 16:27:59 UTC
actually, on my new 6.0 system, with all errata installed, there is no
link at /usr/bin/vi.  i have the following vim packages installed:
  vim-common-5.3-7
  vim-minimal-5.3-7
neither put anything at /usr/bin/vi

i understand how the VISUAL variable works, but I think the default
behavior should not be broken.  so it should either be the case that
vim is reconfigured to have the correct path hardcoded, or the link
that you think exists should really exist.

unless I'm missing something?  which package owns the link at
/usr/bin/vi on your system?  perhaps I don't have that package
installed.

Comment 3 Jeff Johnson 1999-07-13 14:03:59 UTC
Actually, it's not a link at all. There are three different vi
executables depending on feature set. The vim-enhanced package
contains /usr/bin/vi.


Note You need to log in before you can comment on or make changes to this bug.